### org.jfree.layouting.input.style.keys.color

# Class ColorStyleKeys

- `java.lang.Object`
- - `org.jfree.layouting.input.style.keys.color.ColorStyleKeys`

`public final class ColorStyleKeys`
`extends java.lang.Object`

Creation-Date: 30.10.2005, 18:47:30

Author:
  Thomas Morgner

  ## Field Summary

  `static StyleKey`

  `COLOR`

  `static StyleKey`

  `COLOR_PROFILE`
    For now, we do not care about color profiles.

  `static StyleKey`

  `OPACITY`
    Not sure whether we can implement this one.

  `static StyleKey`

  `RENDERING_INTENT`

## Field Details

### COLOR

    public static final StyleKey COLOR

### COLOR_PROFILE

    public static final StyleKey COLOR_PROFILE

> For now, we do not care about color profiles. This might have to do with me being clueless about the topic, but also with the cost vs. usefullness calculation involved.

### OPACITY

    public static final StyleKey OPACITY

> Not sure whether we can implement this one. It is a post-processing operation, and may or may not be supported by the output target.

### RENDERING_INTENT

    public static final StyleKey RENDERING_INTENT